v1.0
post
/ec-ors-svc/rest/v1.0/studies/{studyId}/{mode}/subject-doseholds
Retrieves the visits marked with dose hold for all subjects.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
C36A3197FDEE433FB5547EE83DE99E4B
Supported Media Types
- application/json
Root Schema : DoseholdSubjectsRequest v1.0
Type:
objectTitle:
DoseholdSubjectsRequest v1.0Contains a list of subjects to get dosehold details.
Show Source
-
subjects(required): array
Subjects
Title:
SubjectsMinimum Number of Items:1Maximum Number of Items:2147483647List of subject IDs.
Nested Schema : Subjects
Type:
arrayTitle:
SubjectsMinimum Number of Items:
1Maximum Number of Items:
2147483647List of subject IDs.
Show Source
Examples
Back to Top
Response
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : DoseholdSubjectsResponse v1.0
Type:
objectTitle:
DoseholdSubjectsResponse v1.0Response containing dose hold visits for subjects.
Show Source
-
subjects: array
Subjects
Title:
SubjectsList of dose hold visits for subjects.
Nested Schema : Subjects
Type:
arrayTitle:
SubjectsList of dose hold visits for subjects.
Show Source
-
Array of:
object DoseholdSubjectVisitsTO v1.0
Title:
DoseholdSubjectVisitsTO v1.0Contains dosehold visits for a subject.
Nested Schema : DoseholdSubjectVisitsTO v1.0
Type:
objectTitle:
DoseholdSubjectVisitsTO v1.0Contains dosehold visits for a subject.
Show Source
-
instanceNumber: number
(BigDecimal)
Title:
Instance NumberMinimum Value:1Visit instance number.Example:2 -
subjectId: string
(uuid)
Title:
Subject IDSubject ID. -
visitId: string
(uuid)
Title:
Visit IDVisit ID.
Examples